sc::SpatialMOPairIter(3)

NAME
sc::SpatialMOPairIter -

SpatialMOPairIter gives the ordering of pairs of spatial orbitals.

SYNOPSIS

#include <pairiter.h>

Inherits sc::MOPairIter.

Inherited by sc::SpatialMOPairIter_eq, and sc::SpatialMOPairIter_neq.

  Public Member Functions
SpatialMOPairIter (const Ref< MOIndexSpace > &space_i, const Ref< MOIndexSpace > &space_j)
Initialize a spatial pair iterator for the given MO spaces.
virtual int nij_aa () const =0
Returns the number of functions in alpha-alpha space.
virtual int nij_ab () const =0
Returns the number of functions in alpha-beta space.
virtual int ij_aa () const =0
Returns compound index ij for alpha-alpha case.
virtual int ij_ab () const =0
Returns compound index ij for alpha-beta case.
virtual int ij_ba () const =0
Returns compound index ij for beta-alpha case.

  Additional Inherited Members

Detailed Description

SpatialMOPairIter gives the ordering of pairs of spatial orbitals. Different spin cases appear.

Member Function Documentation

  virtual int sc::SpatialMOPairIter::ij_aa () const [pure virtual]

Returns compound index ij for alpha-alpha case. If the combintaion is not allowed then return -1

Implemented in sc::SpatialMOPairIter_neq, and sc::SpatialMOPairIter_eq.

Author

Generated automatically by Doxygen for MPQC from the source code.